Page MenuHomePhabricator

Pressing Tab/Shift-Tab in the last/first cell in a row should move you to the first/last cell in the next/previous row, and create said row if necessary
Closed, ResolvedPublic1 Story Points

Description

  • Pressing Tab in the last cell in a row should move you to the first cell in the next row, and create said row if necessary
  • Pressing Shift-Tab in the first cell in a row should move you to the last cell in the previous row, but not create said row if necessary as that's not what other editing software does.

Details

Related Gerrit Patches:
VisualEditor/VisualEditor : masterAdd a new row when tabbing off the end of a table
VisualEditor/VisualEditor : masterWrap to the next/previous row when tabbing in a table

Event Timeline

Jdforrester-WMF raised the priority of this task from to Normal.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF renamed this task from Pressing Tab in the last table cell should insert a new row underneath it with the same columns as the last row to Pressing Tab/Shift-Tab in the last/first cell in a row should move you to the first/last cell in the next/previous row, and create said row if necessary.Dec 1 2015, 12:31 AM
Jdforrester-WMF updated the task description. (Show Details)
DLynch added a subscriber: DLynch.Dec 1 2015, 2:36 AM

Relevant question: should arrow-key navigation do this as well?

Change 305560 had a related patch set uploaded (by Esanders):
Wrap to the next/previous row when tabbing in a table

https://gerrit.wikimedia.org/r/305560

Change 305566 had a related patch set uploaded (by Esanders):
Add a new row when tabbing off the end of a table

https://gerrit.wikimedia.org/r/305566

Change 305560 merged by jenkins-bot:
Wrap to the next/previous row when tabbing in a table

https://gerrit.wikimedia.org/r/305560

Change 305566 merged by jenkins-bot:
Add a new row when tabbing off the end of a table

https://gerrit.wikimedia.org/r/305566

Jdforrester-WMF closed this task as Resolved.Aug 22 2016, 5:49 PM
Jdforrester-WMF assigned this task to Esanders.

Declaring this done enough.

Jdforrester-WMF updated the task description. (Show Details)
TheDJ awarded a token.Sep 8 2016, 8:31 AM